Loading...
Searching...
No Matches
pdumodel::Panel::PanelSettingsChangedEvent Struct Reference

Event: Panel settings have changed. More...

Inheritance diagram for pdumodel::Panel::PanelSettingsChangedEvent:

## Public Attributes

PanelSettings | oldSettings
| Panel settings before change.
PanelSettings | newSettings
| Panel settings after change.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Panel settings have changed.

Definition at line 45 of file Panel.idl.

## Member Data Documentation

## newSettings

PanelSettings pdumodel::Panel::PanelSettingsChangedEvent::newSettings

Panel settings after change.

Definition at line 47 of file Panel.idl.

## oldSettings

PanelSettings pdumodel::Panel::PanelSettingsChangedEvent::oldSettings

Panel settings before change.

Definition at line 46 of file Panel.idl.

The documentation for this struct was generated from the following file:

- Panel.idl